LOGIN(1)

NOME
login - begin session on the system

SINOSSI

login [-p] [-h host] [username] [ENV=VAR...]

login [-p] [-h host] -f username

login [-p] -r host

DESCRIZIONE

The login program is used to establish a new session with the system. It is normally invoked automatically by responding to the login: prompt on the user's terminal. login may be special to the shell and may not be invoked as a sub-process. When called from a shell, login should be executed as exec login which will cause the user to exit from the current shell (and thus will prevent the new logged in user to return to the session of the caller). Attempting to execute login from any shell but the login shell will produce an error message.

All'utente viene quindi chiesta la password, se necessario. Durante questa operazione l'eco sul terminale è disabilitato per non rivelare la password. Solo un basso numero di tentativi falliti è permesso prima che login termini e che la connessione sia rallentata.

Se la scadenza delle password è abilitata per il proprio account, prima di proseguire ci può essere la richiesta di una nuova password. Il programma chiederà prima la vecchia password e poi la nuova per poter continuare. Per maggiori informazioni si faccia riferimento a passwd(1).

Dopo aver completato correttamente l'accesso, vengono mostrati eventuali messaggi di sistema e si viene informati della presenza di nuova posta. Si può evitare di visualizzare i messaggi in /etc/motd creando un file vuoto chiamato .hushlogin nella propria directory di login. Il messaggio relativo alla presenza di posta è "C'è nuova posta.", "C'è la solita posta." o "Nessun messaggio di posta." a seconda dello stato della propria casella di posta.

Your user and group ID will be set according to their values in the /etc/passwd file. The value for $HOME, $SHELL, $PATH, $LOGNAME, and $MAIL are set according to the appropriate fields in the password entry. Ulimit, umask and nice values may also be set according to entries in the GECOS field.

In alcune installazioni la variabile d'ambiente $TERM può essere impostata in base al tipo di terminale della propria connessione, come specificato in /etc/ttytype.

An initialization script for your command interpreter may also be executed. Please see the appropriate manual section for more information on this function.

A subsystem login is indicated by the presence of a "*" as the first character of the login shell. The given home directory will be used as the root of a new file system which the user is actually logged into.

The login program is NOT responsible for removing users from the utmp file. It is the responsibility of getty(8) and init(8) to clean up apparent ownership of a terminal session. If you use login from the shell prompt without exec, the user you use will continue to appear to be logged in even after you log out of the "subsession".

OPZIONI

-f
    Non effettua l'autenticazione, l'utente è già autenticato

    Note: In that case, username is mandatory.

-h
    Nome dell'host remoto per questo login.

-p
    Non modifica l'ambiente.

-r
    Perform autologin protocol for rlogin.

Le opzioni -r, -h e -f possono essere utilizzate solo quando login viene invocato da root.

AVVISI/CAVEAT

This version of login has many compilation options, only some of which may be in use at any particular site.

The location of files is subject to differences in system configuration.

The login program is NOT responsible for removing users from the utmp file. It is the responsibility of getty(8) and init(8) to clean up apparent ownership of a terminal session. If you use login from the shell prompt without exec, the user you use will continue to appear to be logged in even after you log out of the "subsession".

As with any program, login's appearance can be faked. If non-trusted users have physical access to a machine, an attacker could use this to obtain the password of the next person coming to sit in front of the machine. Under Linux, the SAK mechanism can be used by users to initiate a trusted path and prevent this kind of attack.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CONSOLE (string)
    If defined, either full pathname of a file containing device names (one per line) or a ":" delimited list of device names. Root logins will be allowed only upon these devices.

    If not defined, root will be allowed on any device.

    The device should be specified without the /dev/ prefix.

CONSOLE_GROUPS (string)
    List of groups to add to the user's supplementary groups set when logging in on the console (as determined by the CONSOLE setting). Default is none.

    Use with caution - it is possible for users to gain permanent access to these groups, even when not logged in on the console.

DEFAULT_HOME (boolean)
    Indicate if login is allowed if we can't cd to the home directory. Default in no.

    If set to yes, the user will login in the root (/) directory if it is not possible to cd to her home directory.

ENV_HZ (string)
    If set, it will be used to define the HZ environment variable when a user login. The value must be preceded by HZ=. A common value on Linux is HZ=100.

ENV_PATH (string)
    If set, it will be used to define the PATH environment variable when a regular user login. The value can be preceded by PATH=, or a colon separated list of paths (for example /bin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_SUPATH (string)
    If set, it will be used to define the PATH environment variable when the superuser login. The value can be preceded by PATH=, or a colon separated list of paths (for example /sbin:/bin:/usr/sbin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_TZ (string)
    If set, it will be used to define the TZ environment variable when a user login. The value can be the name of a timezone preceded by TZ= (for example TZ=CST6CDT), or the full path to the file containing the timezone specification (for example /etc/tzname).

    If a full path is specified but the file does not exist or cannot be read, the default is to use TZ=CST6CDT.

ENVIRON_FILE (string)
    If this file exists and is readable, login environment will be read from it. Every line should be in the form name=value.

    Lines starting with a # are treated as comment lines and ignored.

ERASECHAR (number)
    Terminal ERASE character (010 = backspace, 0177 = DEL).

    The value can be prefixed "0" for an octal value, or "0x" for an hexadecimal value.

FAIL_DELAY (number)
    Delay in seconds before being allowed another attempt after a login failure.

FAILLOG_ENAB (boolean)
    Enable logging and display of /var/log/faillog login failure info.

FAKE_SHELL (string)
    If set, login will execute this shell instead of the users' shell specified in /etc/passwd.

FTMP_FILE (string)
    If defined, login failures will be logged in this file in a utmp format.

HUSHLOGIN_FILE (string)
    If defined, this file can inhibit all the usual chatter during the login sequence. If a full pathname is specified, then hushed mode will be enabled if the user's name or shell are found in the file. If not a full pathname, then hushed mode will be enabled if the file exists in the user's home directory.

ISSUE_FILE (string)
    If defined, this file will be displayed before each login prompt.

KILLCHAR (number)
    Terminal KILL character (025 = CTRL/U).

    The value can be prefixed "0" for an octal value, or "0x" for an hexadecimal value.

LASTLOG_ENAB (boolean)
    Enable logging and display of /var/log/lastlog login time info.

LOGIN_RETRIES (number)
    Maximum number of login retries in case of bad password.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will no be translated.

    If the string contains %s, this will be replaced by the user's name.

LOGIN_TIMEOUT (number)
    Max time in seconds for login.

LOG_OK_LOGINS (boolean)
    Enable logging of successful logins.

LOG_UNKFAIL_ENAB (boolean)
    Enable display of unknown usernames when login failures are recorded.

    Note: logging unknown usernames may be a security issue if an user enter her password instead of her login name.

MAIL_CHECK_ENAB (boolean)
    Enable checking and display of mailbox status upon login.

    You should disable it if the shell startup files already check for mail ("mailx -e" or equivalent).

MAIL_DIR (string)
    The mail spool directory. This is needed to manipulate the mailbox when its corresponding user account is modified or deleted. If not specified, a compile-time default is used.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

MOTD_FILE (string)
    If defined, ":" delimited list of "message of the day" files to be displayed upon login.

NOLOGINS_FILE (string)
    If defined, name of file whose presence will inhibit non-root logins. The contents of this file should be a message indicating why logins are inhibited.

PORTTIME_CHECKS_ENAB (boolean)
    Enable checking of time restrictions specified in /etc/porttime.

QUOTAS_ENAB (boolean)
    Enable setting of ulimit, umask, and niceness from passwd gecos field.

TTYGROUP (string), TTYPERM (string)
    The terminal permissions: the login tty will be owned by the TTYGROUP group, and the permissions will be set to TTYPERM.

    By default, the ownership of the terminal is set to the user's primary group and the permissions are set to 0600.

    TTYGROUP can be either the name of a group or a numeric group identifier.

    If you have a write program which is "setgid" to a special group which owns the terminals, define TTYGROUP to the group number and TTYPERM to 0620. Otherwise leave TTYGROUP commented out and assign TTYPERM to either 622 or 600.

TTYTYPE_FILE (string)
    If defined, file which maps tty line to TERM environment parameter. Each line of the file is in a format something like "vt100 tty01".

ULIMIT (number)
    Default ulimit value.

UMASK (number)
    The file mode creation mask is initialized to this value. If not specified, the mask will be initialized to 022.

    useradd and newusers use this mask to set the mode of the home directory they create

    It is also used by login to define users' initial umask. Note that this mask can be overriden by the user's GECOS line (if QUOTAS_ENAB is set) or by the specification of a limit with the K identifier in limits(5).

USERGROUPS_ENAB (boolean)
    Enable setting of the umask group bits to be the same as owner bits (examples: 022 -> 002, 077 -> 007) for non-root users, if the uid is the same as gid, and username is the same as the primary group name.

    If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

FILE

/var/run/utmp
    Elenco delle sessioni attive

/var/log/wtmp
    Elenco delle precedenti sessioni.

/etc/passwd
    informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account di utenti.

/etc/motd
    System message of the day file.

/etc/nologin
    Inibisce l\'accesso al sistema per utenti diversi da root.

/etc/ttytype
    Elenco di tipi di terminale.

$HOME/.hushlogin
    #-#-#-#-# #-#-#-#-# Non fa mostrare i messaggi di sistema. #-#-#-#-# #-#-#-#-# Impedisce che vengano mostrati i messaggi di sistema.

/etc/login.defs
    Shadow password suite configuration.

VEDERE ANCHE

mail(1), passwd(1), sh(1), su(1), login.defs(5), nologin(5), passwd(5), securetty(5), getty(8).